[lfs-fr] r1590 - in trunk/blfs: . general/genlib general/graphlib introduction/welcome server/major x/lib

jmengual at linuxfromscratch.org jmengual at linuxfromscratch.org
Jeu 9 Fév 13:34:04 PST 2012


Author: jmengual
Date: 2012-02-09 22:34:04 +0100 (Thu, 09 Feb 2012)
New Revision: 1590

Modified:
   trunk/blfs/general.ent
   trunk/blfs/general/genlib/pcre.xml
   trunk/blfs/general/graphlib/lcms2.xml
   trunk/blfs/general/graphlib/libpng.xml
   trunk/blfs/introduction/welcome/changelog.xml
   trunk/blfs/server/major/apache.xml
   trunk/blfs/x/lib/libwnck.xml
   trunk/blfs/x/lib/libxklavier.xml
   trunk/blfs/x/lib/notification-daemon.xml
   trunk/blfs/x/lib/pangomm.xml
   trunk/blfs/x/lib/startup-notification.xml
   trunk/blfs/x/lib/webkitgtk.xml
Log:
Traduction 9328-9337 (reverifier general.ent peut-etre)


Modified: trunk/blfs/general/genlib/pcre.xml
===================================================================
--- trunk/blfs/general/genlib/pcre.xml	2012-02-09 10:26:35 UTC (rev 1589)
+++ trunk/blfs/general/genlib/pcre.xml	2012-02-09 21:34:04 UTC (rev 1590)
@@ -6,10 +6,10 @@
 
   <!ENTITY pcre-download-http "&sourceforge-repo;/pcre/pcre-&pcre-version;.tar.bz2">
   <!ENTITY pcre-download-ftp  "ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/pcre-&pcre-version;.tar.bz2">
-  <!ENTITY pcre-md5sum        "f14a9fef3c92f3fc6c5ac92d7a2c7eb3">
-  <!ENTITY pcre-size          "976 Kio">
-  <!ENTITY pcre-buildsize     "12 Mio">
-  <!ENTITY pcre-time          "0.3 SBU">
+  <!ENTITY pcre-md5sum        "d5ee0d9f6d2f0b7489331d04b6c182ef">
+  <!ENTITY pcre-size          "1.6 Mio">
+  <!ENTITY pcre-buildsize     "13 Mio">
+  <!ENTITY pcre-time          "0.2 SBU">
 ]>
 
 <sect1 id="pcre" xreflabel="PCRE-&pcre-version;">
@@ -39,9 +39,9 @@
 
     <bridgehead renderas="sect3">Informations sur le paquet</bridgehead>
     <itemizedlist spacing="compact">
-      <listitem>
+      <!-- <listitem>
         <para>Téléchargement (HTTP) : <ulink url="&pcre-download-http;"/></para>
-      </listitem>
+      </listitem>-->
       <listitem>
         <para>Téléchargement (FTP) : <ulink url="&pcre-download-ftp;"/></para>
       </listitem>
@@ -70,39 +70,35 @@
     <para>Installez <application>PCRE</application> en lançant
     les commandes suivantes :</para>
 
-<screen><userinput>./configure --prefix=/usr \
-            --docdir=/usr/share/doc/pcre-&pcre-version; \
-            --enable-utf8 \
-            --enable-pcregrep-libz \
-                        --enable-unicode-properties \
-            --enable-pcregrep-libbz2 &&
+<screen><userinput>./configure --prefix=/usr --disable-static --libdir=/lib \
+  --docdir=/usr/share/doc/pcre-&pcre-version; --enable-utf8 --enable-unicode-properties \
+  --enable-pcregrep-libz --enable-pcregrep-libbz2 &&
 make</userinput></screen>
 
-    <para>Pour tester les résultats, lancez : <command>make check</command>. Remarque :
-    Le troisième ensemble de tests ne peut pas être exécutez si la locale
-    "fr_FR" manque au szstème.</para>
+    <para>Pour tester les résultats, lancez : <command>make check</command>.</para>
 
     <para>Maintenant, en tant qu'utilisateur <systemitem class="username">root</systemitem> :</para>
 
 <screen role="root"><userinput>make install</userinput></screen>
 
-    <para>Si vous réinstallez <application>Grep</application> après avoir installé 
-    <application>PCRE</application>, <application>Grep</application> se liera à
-    <application>PCRE</application> et cela peut poser problème si 
-    <filename class="directory">/usr</filename> est un point de montage à part.
-    Pour éviter cela, passez l'option <option>--disable-perl-regexp</option> lorsque vous exécutez
-    <command>./configure</command> pour <application>Grep</application> ou déplacez
-    <filename class="libraryfile">libpcre</filename> vers <filename
-    class="directory">/lib</filename> comme suit.</para>
-
-<screen role="root"><userinput>mv -v /usr/lib/libpcre.so.* /lib/ &&
-ln -v -sf ../../lib/libpcre.so.0 /usr/lib/libpcre.so</userinput></screen>
-
   </sect2>
 
   <sect2 role="commands">
     <title>Explication des commandes</title>
 
+    <para><option>--disable-static</option> : Ce paramètre empêche les
+    bibliothèques statiques de s'installer.</para>
+
+    <para><option>--libdir=/lib</option> : Cette option lui fait installer
+    ses bibliothèques dans /lib. Si vous réinstallez <application>Grep</application> 
+    après avoir installé <application>PCRE</application>, <application>Grep</application>
+    se liera à <application>PCRE</application> et il peut en résulter  des
+    problèmes au moment du processus de démarrage si 
+    <filename class="directory">/usr</filename> est un point de montage séparé.
+    Si vous avez <filename class="directory">/usr/lib</filename> sur la même
+    partition que <filename class="directory">/lib</filename> vous pouvez vous
+    passer de cette option</para>
+
     <para><parameter>--enable-utf8</parameter> : Ce paramètre inclut le code pour
     la gestion des chaînes de caractères UTF-8 dans la bibliothèque.</para>
 
@@ -114,16 +110,12 @@
 
     <para><parameter>--enable-pcregrep-libz</parameter> : Ce paramètre ajoute
     le support de <command>pcregrep</command> pour lire les fichiers
-    <filename class='extension'>.gz</filename> compressés.</para>
+    <filename class="extension">.gz</filename> compressés.</para>
 
     <para><parameter>--enable-pcregrep-libbz2</parameter> : Ce paramètre ajoute
     le support de <command>pcregrep</command> pour lire les fichiers 
-    <filename class='extension'>.bz2</filename> compressés.</para>
+    <filename class="extension">.bz2</filename> compressés.</para>
 
-    <para><parameter>--enable-shared --disable-static</parameter> : Ces deux
-    paramètres empêchent les bibliothèques statiques de ce paquet de se construire et de
-    s'installer.</para>
-
   </sect2>
 
   <sect2 role="content">
@@ -136,7 +128,7 @@
 
       <seglistitem>
         <seg>pcregrep, pcretest, et pcre-config</seg>
-        <seg>libpcre.{so,a}, libpcrecpp.{so,a} et libpcreposix.{so,a}</seg>
+        <seg>libpcre.so, libpcrecpp.so et libpcreposix.so</seg>
         <seg>/usr/share/doc/pcre-&pcre-version;</seg>
       </seglistitem>
     </segmentedlist>

Modified: trunk/blfs/general/graphlib/lcms2.xml
===================================================================
--- trunk/blfs/general/graphlib/lcms2.xml	2012-02-09 10:26:35 UTC (rev 1589)
+++ trunk/blfs/general/graphlib/lcms2.xml	2012-02-09 21:34:04 UTC (rev 1590)
@@ -84,7 +84,7 @@
   <sect2 role="commands">
     <title>Explications des commandes</title>
 
-    <para><option> --disable-static</option> : Ce paramètre empêche l'installation
+    <para><option>--disable-static</option> : Ce paramètre empêche l'installation
     des bibliothèques statiques.</para>
 
   </sect2>

Modified: trunk/blfs/general/graphlib/libpng.xml
===================================================================
--- trunk/blfs/general/graphlib/libpng.xml	2012-02-09 10:26:35 UTC (rev 1589)
+++ trunk/blfs/general/graphlib/libpng.xml	2012-02-09 21:34:04 UTC (rev 1590)
@@ -4,13 +4,13 @@
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
 
-  <!ENTITY libpng-download-http "&sourceforge-repo;/libpng/libpng-&libpng-version;.tar.bz2">
+  <!ENTITY libpng-download-http "&sourceforge-repo;/libpng/libpng-&libpng-version;.tar.xz">
   <!ENTITY libpng-download-ftp  " ">
-  <!ENTITY libpng-md5sum        "590ecbecd6286810184fd3e66f151de3">
-  <!ENTITY libpng-size          "839 KB">
-  <!ENTITY libpng-buildsize     "12 MB">
+  <!ENTITY libpng-md5sum        "0f7ae352beadaff78073733905613041">
+  <!ENTITY libpng-size          "695 KB">
+  <!ENTITY libpng-buildsize     "8.3 MB">
   <!ENTITY libpng-time          "0.1 SBU">
-  <!ENTITY apng-patch           "&sourceforge-repo2;/projects/libpng-apng/files/libpng15/1.5.7/libpng-1.5.7-apng.patch.gz">
+  <!ENTITY apng-patch "&sourceforge-repo2;/projects/libpng-apng/files/libpng15/&libpng-version;/libpng-&libpng-version;-apng.patch.gz">
 ]>
 
 
@@ -32,7 +32,10 @@
     <title>Introduction à libpng</title>
 
     <para>Le paquet <application>libpng</application> contient des bibliothèques
-    utilisées par d'autres programmes pour lire et écrire des fichiers PNG.</para>
+    utilisées par d'autres programmes pour lire et écrire des fichiers PNG.
+    Le format PNG a été conçu pour remplacer GIF et, dans une moindre mesure, 
+    TIFF, avec beaucoup d'améliorations et d'extensions et sans problèmes 
+    ennuyeux</para>
 
     &lfs70_checked;
 
@@ -59,9 +62,9 @@
     </itemizedlist>
 
     <bridgehead renderas="sect3">Téléchargements supplémentaires</bridgehead>
-    <itemizedlist spacing='compact'>
+    <itemizedlist spacing="compact">
       <listitem>
-        <para>Correctif facultatif pour inclure la fonction apng dans 
+        <para>Correctif facultatif pour inclure la fonction png animés dans 
         <application>libpng</application> : <ulink url="&apng-patch;"/></para>
         <para>Le correctif est nécessaire si vous voulez utiliser le
         <application>libpng</application> du système dans
@@ -79,7 +82,13 @@
     <para>Si vous voulez corriger libpng pour supporter les fichiers apng, appliquez
     le correctif :</para>
 
-<screen><userinput>gunzip --stdout ../libpng-&libpng-version;-apng.patch.gz | patch -Np1</userinput></screen>
+<screen><userinput>gzip -cd ../libpng-&libpng-version;-apng.patch.gz | patch -p1 &&
+awk '/10[0-2][0-9],/{ gsub(/,png/, ", png")
+  gsub(/PNG_EXPORT./, "")
+  gsub(/,/, "")
+  print " " $3 " @" $1 }' png.h >> scripts/symbols.def &&
+sed -i 's#ORDINAL(233)#ORDINAL(1020)#' png.h &&
+sed -i 's#"error"#"ignore"#' scripts/checksym.awk &&</userinput></screen>
 
 <para>Installez <application>libpng</application> en lançant les commandes
     suivantes :</para>
@@ -92,16 +101,18 @@
     <para>Maintenant, en tant qu'utilisateur the <systemitem class="username">root</systemitem> :</para>
 
 <screen role="root"><userinput>make install &&
+mkdir /usr/share/doc/libpng-&libpng-version; &&
+cp README libpng-manual.txt /usr/share/doc/libpng-&libpng-version;</userinput></screen>
 
-install -v -m755 -d /usr/share/doc/libpng-&libpng-version; &&
-install -v -m644    README libpng-manual.txt \
-                    /usr/share/doc/libpng-&libpng-version;</userinput></screen>
-
   </sect2>
 
   <sect2 role="commands">
     <title>Explications des commandes</title>
 
+    <para><command>awk '/10[0-2][0-9] ...</command>, <command>sed -i 's#ORDINAL
+    ...</command> et <command>sed -i 's#"error" ...</command> : Ces
+    commandes demandent à la suite de tests d'accepter les fonctions png animés.</para>
+
     <para><option>--disable-static</option>: Cette option empêche la compilation des versions
     statiques des bibliothèques.</para>
   </sect2>
@@ -149,13 +160,11 @@
       </varlistentry>
 
       <varlistentry id="libpng15">
-        <term><filename class='libraryfile'>libpng.so et
+        <term><filename class="libraryfile">libpng.so et
         libpng15.so</filename></term>
         <listitem>
-          <para>est un ensemble de routines utilisées pour créer et manipuler 
-          des fichiers images au format PNG. Le format PNG a été conçu pour
-          remplacer GIF et, dans une moindre mesure, TIFF, avec beaucoup 
-          d'améliorations et d'extensions et sans problèmes ennuyeux.</para>
+          <para>contient les routines utilisées pour créer et manipuler
+          des fichiers images au format PNG.</para>
           <indexterm zone="libpng libpng15">
             <primary sortas="c-libpng15">libpng15.{so,a}</primary>
           </indexterm>

Modified: trunk/blfs/general.ent
===================================================================
--- trunk/blfs/general.ent	2012-02-09 10:26:35 UTC (rev 1589)
+++ trunk/blfs/general.ent	2012-02-09 21:34:04 UTC (rev 1590)
@@ -3,7 +3,7 @@
 $Date: 2012-01-25 04:51:47 +0100 (mer. 25 janv. 2012) $
 -->
 
-<!ENTITY day          "09">                   <!-- Always 2 digits -->
+<!ENTITY day          "10">                   <!-- Always 2 digits -->
 <!ENTITY month        "02">                   <!-- Always 2 digits -->
 <!ENTITY year         "2012">
 <!ENTITY copyrightdate "2001-&year;">
@@ -167,7 +167,7 @@
 
 <!-- Part III -->
 <!-- Chapter 8 -->
-<!ENTITY pcre-version                 "8.12">
+<!ENTITY pcre-version                 "8.30">
 <!ENTITY popt-version                 "1.16">
 <!ENTITY gamin-version                "0.1.10">
 <!ENTITY libxml2-version              "2.7.8">
@@ -246,7 +246,7 @@
 
 <!-- Chapter 9 -->
 <!ENTITY libjpeg-version              "8c">
-<!ENTITY libpng-version               "1.5.7">
+<!ENTITY libpng-version               "1.5.8">
 <!ENTITY libtiff-version              "4.0.0">
 <!ENTITY giflib-version               "4.1.6">
 <!ENTITY lcms-version                 "1.19">
@@ -604,19 +604,19 @@
 <!ENTITY gtk3-version                 "3.2.3">
 <!ENTITY gtkmm-version                "3.2.0">
 <!ENTITY lesstif-version              "0.95.2">
-<!ENTITY startup-notification-version "0.9">
-<!ENTITY libwnck-version              "2.30.2">
+<!ENTITY startup-notification-version "0.12">
+<!ENTITY libwnck-version              "3.2.1">
 <!ENTITY shared-mime-info-version     "0.91">
 <!ENTITY hicolor-icon-theme-version   "0.12">
-<!ENTITY libxklavier-version          "5.0">
+<!ENTITY libxklavier-version          "5.1">
 <!ENTITY freeglut-version             "2.6.0">
 <!ENTITY goffice-version              "0.8.17">
 <!ENTITY mesalib-version              "7.9">
 <!ENTITY xulrunner-version            "10.0.">
 <!ENTITY webkitgtk-version            "1.6.1">
 <!ENTITY libsexy-version              "0.1.11">
-<!ENTITY libnotify-version            "0.7.4">
-<!ENTITY notification-daemon-version  "0.4.0">
+<!ENTITY libnotify-version            "0.7.5">
+<!ENTITY notification-daemon-version  "0.7.3">
 <!ENTITY gtk-vnc-version              "0.4.3">
 <!ENTITY cogl-version                 "1.8.2">
 

Modified: trunk/blfs/introduction/welcome/changelog.xml
===================================================================
--- trunk/blfs/introduction/welcome/changelog.xml	2012-02-09 10:26:35 UTC (rev 1589)
+++ trunk/blfs/introduction/welcome/changelog.xml	2012-02-09 21:34:04 UTC (rev 1590)
@@ -42,11 +42,38 @@
 
 -->
     <listitem>
+      <para>10 février 2012</para>
+      <itemizedlist>
+        <listitem>
+          <para>[ken] - passage à libwnck-3.2.1 par Wayne.</para>
+        </listitem>
+        <listitem>
+          <para>[ken] - passage à libxklavier-51 par Wayne.</para>
+        </listitem>
+        <listitem>
+          <para>[abenton] - libpng 1.5.8.</para>
+        </listitem>
+        <listitem>
+          <para>[ken] - passage à notification-daemon-0.7.3 par Wayne.</para>
+        </listitem>
+        <listitem>
+          <para>[ken] - passage à pangomm-2.28.4 par Wayne.</para>
+        </listitem>
+        <listitem>
+          <para>[ken] - passage à startup-notification-0.12 par Wayne.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>9 février 2012</para>
       <itemizedlist>
         <listitem>
           <para>[ken] - ajout de atkmm-2.22.6 à partir de Wayne.</para>
-         </listitem>
+        </listitem>
+        <listitem>
+          <para>[abenton] - PCRE 8.30.</para>
+        </listitem>
 	 <listitem>
           <para>[ken] - synchronisation de cairomm-1.9.2 à partir de Wayne.</para>
         </listitem>

Modified: trunk/blfs/server/major/apache.xml
===================================================================
--- trunk/blfs/server/major/apache.xml	2012-02-09 10:26:35 UTC (rev 1589)
+++ trunk/blfs/server/major/apache.xml	2012-02-09 21:34:04 UTC (rev 1590)
@@ -63,6 +63,10 @@
         <para>Correctif requis : <ulink
         url="&patch-root;/httpd-&apache-version;-config-1.patch"/></para>
       </listitem>
+      <listitem>
+        <para>Correctif requis : <ulink
+        url="&patch-root;/httpd-&apache-version;-pcre-8.30-1.patch"/></para>
+      </listitem>
     </itemizedlist>
 
     <bridgehead renderas="sect3">Dépendances d'Apache</bridgehead>
@@ -125,7 +129,8 @@
     aux modules ajoutés à <application>Apache</application> de se configurer
     sans erreurs. Appliquez le correctif :</para>
 
-<screen><userinput>patch -Np1 -i ../httpd-&apache-version;-config-1.patch</userinput></screen>
+<screen><userinput>patch -p1 < ../httpd-&apache-version;-pcre-8.30-1.patch &&
+patch -Np1 -i ../httpd-&apache-version;-config-1.patch</userinput></screen>
 
     <note>
       <para>Il se peut que vous souhaitiez relire la sortie de 

Modified: trunk/blfs/x/lib/libwnck.xml
===================================================================
--- trunk/blfs/x/lib/libwnck.xml	2012-02-09 10:26:35 UTC (rev 1589)
+++ trunk/blfs/x/lib/libwnck.xml	2012-02-09 21:34:04 UTC (rev 1590)
@@ -4,10 +4,10 @@
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
 
-  <!ENTITY libwnck-download-http "&gnome-download-http;/libwnck/&gnome-version;/libwnck-&libwnck-version;.tar.bz2">
-  <!ENTITY libwnck-download-ftp  "&gnome-download-ftp;/libwnck/&gnome-version;/libwnck-&libwnck-version;.tar.bz2">
-  <!ENTITY libwnck-md5sum        "f58a82c97cc1dd95d9c56bbef3649a92">
-  <!ENTITY libwnck-size          "691 Kio">
+  <!ENTITY libwnck-download-http "&gnome-download-http;/libwnck/&gnome-version;/libwnck-&libwnck-version;.tar.xz">
+  <!ENTITY libwnck-download-ftp  "&gnome-download-ftp;/libwnck/&gnome-version;/libwnck-&libwnck-version;.tar.xz">
+  <!ENTITY libwnck-md5sum        "f6c719f341232d1269d1689b0da178b6">
+  <!ENTITY libwnck-size          "634 Kio">
   <!ENTITY libwnck-buildsize     "19 Mio">
   <!ENTITY libwnck-time          "0.3 SBU">
 ]>
@@ -32,7 +32,7 @@
     <para>Le paquet <application>libwnck</application> contient un kit de
     construction de navigateur de fenêtre (Window Navigator Construction Kit).</para>
 
-    &lfs65_checked;
+    &lfs70_checked;
 
     <bridgehead renderas="sect3">Informations sur le paquet</bridgehead>
     <itemizedlist spacing="compact">
@@ -59,7 +59,7 @@
     <bridgehead renderas="sect3">Dépendances de libwnck</bridgehead>
 
     <bridgehead renderas="sect4">Requises</bridgehead>
-    <para role="required"><xref linkend="gtk2"/> et
+    <para role="required"><xref linkend="gtk3"/> et
     <xref linkend="intltool"/></para>
 
     <bridgehead renderas="sect4">Facultatives</bridgehead>
@@ -80,7 +80,8 @@
 <screen><userinput>./configure --prefix=/usr &&
 make</userinput></screen>
 
-    <para>Ce paquet n'est pas fourni avec une suite de tests.</para>
+    <para>La suite de tests de ce paquet n'est conçue que pour être utilisée
+    par le responsable pour vérifier les fichiers d'internationalisation.</para>
 
     <para>Maintenant, en tant qu'utilisateur <systemitem class="username">root</systemitem> :</para>
 

Modified: trunk/blfs/x/lib/libxklavier.xml
===================================================================
--- trunk/blfs/x/lib/libxklavier.xml	2012-02-09 10:26:35 UTC (rev 1589)
+++ trunk/blfs/x/lib/libxklavier.xml	2012-02-09 21:34:04 UTC (rev 1590)
@@ -6,10 +6,10 @@
 
   <!ENTITY libxklavier-download-http "&gnome-download-http;/libxklavier/&libxklavier-version;/libxklavier-&libxklavier-version;.tar.bz2">
   <!ENTITY libxklavier-download-ftp "&gnome-download-ftp;/libxklavier/&libxklavier-version;/libxklavier-&libxklavier-version;.tar.bz2">
-  <!ENTITY libxklavier-md5sum        "134c7ea177ff901123b909de77394780">
-  <!ENTITY libxklavier-size          "349 Kio">
-  <!ENTITY libxklavier-buildsize     "7 Mio">
-  <!ENTITY libxklavier-time          "0.1 SBU">
+  <!ENTITY libxklavier-md5sum        "cbc2a760827c20aef61eb7b18a6ce598">
+  <!ENTITY libxklavier-size          "339 Kio">
+  <!ENTITY libxklavier-buildsize     "10 Mio">
+  <!ENTITY libxklavier-time          "moins de 0.1 SBU">
 ]>
 
 <sect1 id="libxklavier" xreflabel="libxklavier-&libxklavier-version;">
@@ -32,7 +32,7 @@
     <para>Le paquet <application>libxklavier</application> contient une bibliothèque
     outil pour le clavier <application>X</application>.</para>
 
-    &lfs65_checked;
+    &lfs70_checked;
 
     <bridgehead renderas="sect3">Informations sur le paquet</bridgehead>
     <itemizedlist spacing="compact">
@@ -60,7 +60,7 @@
 
     <bridgehead renderas="sect4">Requises</bridgehead>
     <para role="required"><xref linkend="glib2"/>,
-    <xref linkend="x-window-system"/>,
+    <xref linkend="xorg7-lib"/>,
     <xref linkend="libxml2"/>, et
     <xref linkend="iso-codes"/></para>
 
@@ -78,7 +78,10 @@
     <para>Installez <application>libxklavier</application> en lançant les
     commandes suivantes :</para>
 
-<screen><userinput>./configure --prefix=/usr &&
+<screen><userinput>sed -i '/^GLIB_GENMARSHAL/s/$PKG_CONFIG/\@PKG_CONFIG\@/' \
+    libxklavier/Makefile.in
+ &&
+./configure --prefix=/usr &&
 make</userinput></screen>
 
     <para>Ce paquet n'est pas fourni avec une suite de tests.</para>
@@ -92,6 +95,9 @@
   <sect2 role="commands">
     <title>Explication des commandes</title>
 
+    <para><parameter>sed -i '/^GLIB_GENMARSHAL/s/$PKG_CONFIG/\@PKG_CONFIG\@/'...</parameter> :
+    Ceci corrige un échec de construction 'KG_CONFIG command not found'.</para>
+
     <para><option>--with-xkb-base=$XORG_PREFIX/share/X11/xkb</option> :
     Utilisez ce paramètre si $XORG_PREFIX est différent de
     <filename class='directory'>/usr</filename>.</para>

Modified: trunk/blfs/x/lib/notification-daemon.xml
===================================================================
--- trunk/blfs/x/lib/notification-daemon.xml	2012-02-09 10:26:35 UTC (rev 1589)
+++ trunk/blfs/x/lib/notification-daemon.xml	2012-02-09 21:34:04 UTC (rev 1590)
@@ -4,12 +4,14 @@
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
 
-  <!ENTITY notification-daemon-download-http "http://www.galago-project.org/files/releases/source/notification-daemon/notification-daemon-&notification-daemon-version;.tar.bz2">
-  <!ENTITY notification-daemon-download-ftp  " ">
-  <!ENTITY notification-daemon-md5sum        "e61eff9782551d81045bb53e8a801d58">
-  <!ENTITY notification-daemon-size          "318 KB">
-  <!ENTITY notification-daemon-buildsize     "4 MB">
-  <!ENTITY notification-daemon-time          "0.1 SBU">
+  <!ENTITY notification-daemon-download-http 
+  "&gnome-download-http;/notification-daemon/0.7/notification-daemon-&notification-daemon-version;.tar.xz">
+  <!ENTITY notification-daemon-download-ftp  
+  "&gnome-download-ftp;/notification-daemon/0.7/notification-daemon-&notification-daemon-version;.tar.xz">
+  <!ENTITY notification-daemon-md5sum        "3cf4b7c286cf898156eeba65c473379c">
+  <!ENTITY notification-daemon-size          "269 KB">
+  <!ENTITY notification-daemon-buildsize     "4.7 MB">
+  <!ENTITY notification-daemon-time          "moins de 0.1 SBU">
 ]>
 
 <sect1 id="notification-daemon" xreflabel="notification-daemon-&notification-daemon-version;">
@@ -32,6 +34,8 @@
     <para>Le paquet <application>notification-daemon</application> est un démon
     qui affiche les notifications pop-up passives.</para>
 
+    &lfs70_built;
+
     <bridgehead renderas="sect3">Informations sur le paquet</bridgehead>
     <itemizedlist spacing="compact">
       <listitem>
@@ -79,10 +83,12 @@
 
 <screen><userinput>./configure --prefix=/usr \
             --libexecdir=/usr/lib/notification-daemon-1.0 \
-            --with-gconf-schema-file-dir=&gnome-etc-dir;/gconf/schemas &&
+            --with-gconf-schema-file-dir=$GNOME_SYSCONFDIR/gconf/schemas &&
 make</userinput></screen>
 
-    <para>Ce paquet n'est pas livré avec une suite de tests.</para>
+    <para>La suite de tests de ce paquet n'est conçue que pour être utilisée par
+    le responsable pour vérifier les fichiers d'internationalisation.</para>
+    
 
     <para>Maintenant, en tant qu'utilisateur <systemitem class="username">root</systemitem> :</para>
 
@@ -93,13 +99,13 @@
   <sect2 role="commands">
     <title>Explications des commandes</title>
 
-    <para><parameter>--libexecdir=/usr/lib/notification-daemon-1.0</parameter>: Ce 
-    paramèrez est utilisé pour que les programmes de support interne de
-    <application>notification-daemon</application> soient installés dans l'emplacement
+    <para><parameter>--libexecdir=/usr/lib/notification-daemon-1.0</parameter> : Ce 
+    paramèrez est utilisé pour que le programme de support interne de
+    <application>notification-daemon</application> soit installé dans l'emplacement
     préféré de <filename class='directory'>/usr/lib/notification-daemon-1.0</filename> au lieu de
     <filename class='directory'>/usr/libexec</filename>.</para> 
 
-    <para><parameter>--with-gconf-schema-file-dir=&gnome-etc-dir;/gconf/schemas</parameter>:
+    <para><parameter>--with-gconf-schema-file-dir=$GNOME_SYSCONFDIR/gconf/schemas</parameter> :
     Ce paramètre est utilisé pour que les fichiers de schéma <application>GConf</application> 
     soient installé dans la base de données existante.</para>
 
@@ -114,10 +120,12 @@
       <segtitle>Répertoires installés</segtitle>
 
       <seglistitem>
-        <seg>notification-properties and notification-daemon</seg>
-        <seg>libstandard.{so,a}</seg>
+        <seg><!--notification-properties and -->notification-daemon</seg>
+        <!--<seg>libstandard.{so,a}</seg>
         <seg>/usr/{lib/notification-daemon-1.0/engines,
-        share/notification-daemon}</seg>
+        share/notification-daemon}</seg>-->
+        <seg>Aucune</seg>
+        <seg>/usr/lib/notification-daemon-1.0, /usr/share/notification-daemon</seg>
       </seglistitem>
     </segmentedlist>
 
@@ -126,7 +134,7 @@
       <?dbfo list-presentation="list"?>
       <?dbhtml list-presentation="table"?>
 
-      <varlistentry id="notification-properties">
+      <!--<varlistentry id="notification-properties">
         <term><command>notification-properties</command></term>
         <listitem>
           <para>est un outil <application>notification-daemon</application>
@@ -135,7 +143,7 @@
             <primary sortas="b-notification-properties">notification-properties</primary>
           </indexterm>
         </listitem>
-      </varlistentry>
+      </varlistentry>-->
 
       <varlistentry id="notification-daemon-prog">
         <term><command>notification-daemon</command></term>

Modified: trunk/blfs/x/lib/pangomm.xml
===================================================================
--- trunk/blfs/x/lib/pangomm.xml	2012-02-09 10:26:35 UTC (rev 1589)
+++ trunk/blfs/x/lib/pangomm.xml	2012-02-09 21:34:04 UTC (rev 1590)
@@ -4,11 +4,11 @@
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
 
-  <!ENTITY pangomm-download-http "&gnome-download-http;/pangomm/2.26/pangomm-&pangomm-version;.tar.bz2">
-  <!ENTITY pangomm-download-ftp  "&gnome-download-ftp;/pangomm/2.26/pangomm-&pangomm-version;.tar.bz2">
-  <!ENTITY pangomm-md5sum        "b363b09faf884db8bf8d1458d719ff00">
-  <!ENTITY pangomm-size          "957 KB">
-  <!ENTITY pangomm-buildsize     "17 MB">
+  <!ENTITY pangomm-download-http "&gnome-download-http;/pangomm/2.28/pangomm-&pangomm-version;.tar.xz">
+  <!ENTITY pangomm-download-ftp  "&gnome-download-ftp;/pangomm/2.28/pangomm-&pangomm-version;.tar.xz">
+  <!ENTITY pangomm-md5sum        "f4fe0905ee56e1ff0205005e61d2a66f">
+  <!ENTITY pangomm-size          "778 KB">
+  <!ENTITY pangomm-buildsize     "18 MB">
   <!ENTITY pangomm-time          "0.3 SBU">
 ]>
 
@@ -32,7 +32,7 @@
     <para>Le paquet <application>pangomm</application> fournit une interface
     C++ pour <application>Pango</application>.</para>
 
-    &lfs65_checked;
+    &lfs70_checked;
 
     <bridgehead renderas="sect3">Informations sur le paquet</bridgehead>
     <itemizedlist spacing="compact">

Modified: trunk/blfs/x/lib/startup-notification.xml
===================================================================
--- trunk/blfs/x/lib/startup-notification.xml	2012-02-09 10:26:35 UTC (rev 1589)
+++ trunk/blfs/x/lib/startup-notification.xml	2012-02-09 21:34:04 UTC (rev 1590)
@@ -4,18 +4,18 @@
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
 
-  <!-- <!ENTITY startup-notification-download-http "http://www.freedesktop.org/software/startup-notification/releases/startup-notification-&startup-notification-version;.tar.gz"> -->
-  <!ENTITY startup-notification-download-http "&gnome-download-http;/startup-notification/&startup-notification-version;/startup-notification-&startup-notification-version;.tar.bz2">
-  <!ENTITY startup-notification-download-ftp  "&gnome-download-ftp;/startup-notification/&startup-notification-version;/startup-notification-&startup-notification-version;.tar.bz2">
-  <!ENTITY startup-notification-md5sum        "624b42f1fac5a12c543a079e2cd3b366">
-  <!ENTITY startup-notification-size          "226 Kio">
+  <!ENTITY startup-notification-download-http 
+  "http://www.freedesktop.org/software/startup-notification/releases/startup-notification-&startup-notification-version;.tar.gz">
+  <!ENTITY startup-notification-download-ftp  " ">
+  <!ENTITY startup-notification-md5sum        "2cd77326d4dcaed9a5a23a1232fb38e9">
+  <!ENTITY startup-notification-size          "347 Kio">
   <!ENTITY startup-notification-buildsize     "4 Mio">
   <!ENTITY startup-notification-time          "moins de 0.1 SBU">
 ]>
 
 <sect1 id="startup-notification"
 xreflabel="startup-notification-&startup-notification-version;">
-  <?dbhtml filename="startup-notification.html" ?>
+  <?dbhtml filename="startup-notification.html"?>
 
   <sect1info>
     <othername>$LastChangedBy: randy $</othername>
@@ -25,7 +25,7 @@
   <title>startup-notification-&startup-notification-version;</title>
 
   <indexterm zone="startup-notification">
-    <primary sortas="a-Startup-notification">Startup-notification</primary>
+    <primary sortas="a-startup-notification">Startup-notification</primary>
   </indexterm>
 
   <sect2 role="package">
@@ -36,6 +36,8 @@
     Elles sont utiles pour construire une façon cohérente de notifier l'utilisateur
     par un curseur que l'application est en cours de chargement.</para>
 
+    &lfs70_built;
+
     <bridgehead renderas="sect3">Informations sur le paquet</bridgehead>
     <itemizedlist spacing="compact">
       <listitem>
@@ -61,7 +63,7 @@
     <bridgehead renderas="sect3">Dépendances de startup-notification</bridgehead>
 
     <bridgehead renderas="sect4">Requises</bridgehead>
-    <para role="required"><xref linkend="x-window-system"/></para>
+    <para role="required"><xref linkend="xorg7-lib"/></para>
 
     <para condition="html" role="usernotes">Notes utilisateur :
     <ulink url="&blfs-wiki;/startup-notification"/></para>
@@ -87,6 +89,14 @@
 
   </sect2>
 
+  <sect2 role="commands">
+    <title>Explication de la commande</title>
+
+    <para><option>--disable-static</option> : Ce paramètre empêche les
+    bibliothèques statiques de s'installer.</para>
+
+  </sect2>
+
   <sect2 role="content">
     <title>Contenu</title>
 
@@ -98,8 +108,9 @@
       <seglistitem>
         <seg>Aucun</seg>
         <seg>libstartup-notification-1.{so,a}</seg>
-        <seg>/usr/include/startup-notification-1.0 et
-        /usr/share/doc/startup-notification-&startup-notification-version;</seg>
+        <seg>/usr/{include/startup-notification-1.0/libsn,
+        share/doc/startup-notification-&startup-notification-version;}</seg>
+
       </seglistitem>
     </segmentedlist>
 
@@ -108,14 +119,14 @@
       <?dbfo list-presentation="list"?>
       <?dbhtml list-presentation="table"?>
 
-      <varlistentry id="libstartup-notification">
+      <varlistentry id="libstartup-notification-1">
         <term><filename class='libraryfile'>libstartup-notification-1.{so,a}</filename></term>
         <listitem>
           <para>fournit les fonctions pour aider les applications à communiquer
           avec le système de curseur pour fournir un retour à l'utilisateur 
           selon lequel l'application est en cours de chargement.</para>
-          <indexterm zone="startup-notification libstartup-notification">
-            <primary sortas="c-libstartup-notification">libstartup-notification-1.{so,a}</primary>
+          <indexterm zone="startup-notification libstartup-notification-1">
+            <primary sortas="c-libstartup-notification-1">libstartup-notification-1.{so,a}</primary>
           </indexterm>
         </listitem>
       </varlistentry>

Modified: trunk/blfs/x/lib/webkitgtk.xml
===================================================================
--- trunk/blfs/x/lib/webkitgtk.xml	2012-02-09 10:26:35 UTC (rev 1589)
+++ trunk/blfs/x/lib/webkitgtk.xml	2012-02-09 21:34:04 UTC (rev 1590)
@@ -83,10 +83,16 @@
   <sect2 role="installation">
     <title>Installation de WebKitGTK+</title>
 
+    <para>Ces instructions supposent que vous installez
+    <application>WebKitGTK+</application> pour supporter un bureau
+    <application>GNOME</application> - sinon merci de relire les explications
+    pour les paramètres facultatifs.</para>
+
     <para>Installer <application>WebKitGTK+</application> en exécutant les commandes
 	suivantes:</para>
 
-<screen><userinput>./configure --prefix=/usr --with-gtk=2.0 &&
+<screen><userinput>./configure --prefix=/usr --with-gtk=3.0 \
+            --enable-introspection &&
 make</userinput></screen>
 
     <para>Pour tester le résultat, taper: <command>make check</command> (vous devez être
@@ -100,6 +106,11 @@
 
   <sect2 role="commands">
     <title>Explications des commandes</title>
+
+    <para><parameter>--with-gtk=3.0</parameter> : Ce paramètre oblige
+    <application>Webkit</application> à se compiler contre
+    <application>Gtk+-3</application> et il est nécessaire pour le bureau
+    <application>GNOME</application>.</para>
     
     <para><option>--with-gtk=2.0</option>: Cette option force
     <application>Webkit</application> à compiler de nouveau
@@ -111,8 +122,10 @@
     est suffixé par 3,0. Les deux versions peuvent être installées côte à côte,
     sans conflits d'espace.</para>
 
-    <para><option>--enable-introspection</option>: Cette option active le support pour
-	gobject-introspection.</para>
+    <para><option>--enable-introspection</option>: Cette option active le 
+    support pour
+	gobject-introspection et il est requis pour
+	<application>GNOME</application>.</para>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../../xincludes/gtk-doc-rebuild.xml"/>




More information about the lfs-traducfr mailing list